Tag

openjdk:28-ea-6-jdk
Content Digest: sha256:9daa03f29a33bad857e70874e66cdb3100929b05894c8c68fe75b72d7b9179f7
Manifests
Details
Content Digest

sha256:4b2e3aa5924073d216ed43f2ee4ac9659ea90729c3cd243a36d0e800c25091e4

Created

2026-07-11 01:10:45 CST

Size

294 MB


Environment
JAVA_HOME

/usr/java/openjdk-28

JAVA_VERSION

28-ea+6

LANG

C.UTF-8

PATH

/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ded2aa0abafd1e1e93e05338cb1b14916dbeb283d3862aa21e5d8b0164f4cbf3 - 13.98% (41.1 MB)

[#001] sha256:d88dced95784962e55f276e91fbd0047d5cb3c085f977d12d6b683d3f797a664 - 12.23% (35.9 MB)

[#002] sha256:d636a6edcba26ccdf849c9f592a6b1ce59f3ce02a34163ac775219ff7af83976 - 73.79% (217 MB)


History
2026-05-13 02:44:08 CST (buildkit.dockerfile.v0)

ADD oraclelinux-10-slim-amd64-rootfs.tar.xz / # buildkit

2026-05-13 02:44:08 CST (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-07-11 01:10:37 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-07-11 01:10:45 CST (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-28

2026-07-11 01:10:45 CST (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-07-11 01:10:45 CST (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-07-11 01:10:45 CST (buildkit.dockerfile.v0)

ENV JAVA_VERSION=28-ea+6

2026-07-11 01:10:45 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/6/GPL/openjdk-28-ea+6_linux-x64_bin.tar.gz'; downloadSha256='72062e6a5506eb2829a215f6e3fde92d0f625d6e7e56fe84044169921e4e8a3c'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/6/GPL/openjdk-28-ea+6_linux-aarch64_bin.tar.gz'; downloadSha256='062a6f65617a2ec1abab55036320b057d8a147a60ab17c4695ac06e2e5c40ab2'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-07-11 01:10:45 CST (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Content Digest

sha256:37ceb3a127f11b721bcccf5c1e75417c762fd0e8218d63843a183f79982c7155

Created

2026-07-16 07:16:11 CST

Size

2.4 GB


Environment
JAVA_HOME

C:\openjdk-28

JAVA_SHA256

7d58f4379ac8918c92d10d55e6c26f5e224a010e064c3132797153bc793e7429

JAVA_URL

https://download.java.net/java/early_access/jdk28/6/GPL/openjdk-28-ea+6_windows-x64_bin.zip

JAVA_VERSION

28-ea+6


Layers

[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 59.03% (1.42 GB)

[#001] sha256:e24b28706e4e5f31fae7935e5a79e6df5d7a2eb3e69c8c19ca723f41f0b45f6f - 32.24% (793 MB)

[#002] sha256:28f759ddea25ebb633c9186aa5a91556b5d26b945611311e317b60165ea2aaf0 - 0.0% (1.25 KB)

[#003] sha256:4e691152b2ce58e7a69dfb9d40fd3ce7076b7b5cf194f48017e8771005616ee8 - 0.01% (350 KB)

[#004] sha256:367357ca972ebec6adb30a95b214f922db3ee8876790c5cf72968d5c53a71648 - 0.0% (1.23 KB)

[#005] sha256:28328857ee3fdcc85945c9d964b55b17e217362b484b819fbd36844c496ce614 - 0.01% (338 KB)

[#006] sha256:df79b29c07f27f70ef37c44ad23e19a6dc3aeb61d5609ef6dbab0e5a2064d996 - 0.0% (1.27 KB)

[#007] sha256:67a8e7e8ba11848d569739a98e9ec685b5a8fc3b28fe0a2e7d3e38ed0d05ccff - 0.0% (1.25 KB)

[#008] sha256:e31e4cfcfa312f4c52e9424c6b83801a7c9a07db871b3e30dc7fd3c6066960bc - 0.0% (1.27 KB)

[#009] sha256:79a635b37ed016f67aff5585be29990525186d63db2f822d4e3446bfb5c1ed39 - 8.7% (214 MB)

[#010] sha256:7ecc39b3e56c66953466040fc81cddfb346816fe888e007c9238ad21497602a4 - 0.0% (1.23 KB)


History
2026-01-11 17:57:36 CST

Apply image 10.0.26100.32230

2026-07-12 07:02:35 CST

Install update 10.0.26100.33158

2026-07-16 07:03:22 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-07-16 07:15:14 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-07-16 07:15:16 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28

2026-07-16 07:15:22 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-07-16 07:15:23 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+6

2026-07-16 07:15:23 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/6/GPL/openjdk-28-ea+6_windows-x64_bin.zip

2026-07-16 07:15:24 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=7d58f4379ac8918c92d10d55e6c26f5e224a010e064c3132797153bc793e7429

2026-07-16 07:16:10 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-07-16 07:16:11 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Content Digest

sha256:50a28689deeff2c2454db8b9e7671f74b3e18cf1ce22857a2eb70d8d37bc5ae4

Created

2026-07-16 07:28:41 CST

Size

2.22 GB


Environment
JAVA_HOME

C:\openjdk-28

JAVA_SHA256

7d58f4379ac8918c92d10d55e6c26f5e224a010e064c3132797153bc793e7429

JAVA_URL

https://download.java.net/java/early_access/jdk28/6/GPL/openjdk-28-ea+6_windows-x64_bin.zip

JAVA_VERSION

28-ea+6


Layers

[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 62.49% (1.39 GB)

[#001] sha256:0675e37b24741ccc9e6ff6dda8512e3be78ba3519c8af33b04872e4738349249 - 28.06% (638 MB)

[#002] sha256:cd99cda305ab1db9d8da0e66cf144dcebbcf0c3a5325391dc82055197d387130 - 0.0% (1.29 KB)

[#003] sha256:3de64338f083c0d219fc0ecac88c797b84a72217186e4ec1b735196f24ee96a5 - 0.02% (475 KB)

[#004] sha256:23b23605336b0a1582409e0b379b2d40aa500335ba58e4fd9f98bb40729b7ba4 - 0.0% (1.29 KB)

[#005] sha256:b1c7eba2ae166fe71360f1b927f370c9ba18f94632bb3774a54d35570782aae4 - 0.01% (326 KB)

[#006] sha256:f56c45213d7ea981d47f74ac23701e76e06b17977cfe1597520210e033d9c8d6 - 0.0% (1.29 KB)

[#007] sha256:95a5eb92ba0b6d9a66e2a69d58735a397fb0dab170d09b5a9b4da1773629ce29 - 0.0% (1.26 KB)

[#008] sha256:ac4a1fc4ebcebed606d161a76fbab9544ce8c58ea7f0597008351b08ce389f51 - 0.0% (1.27 KB)

[#009] sha256:26bd2e4ee6c09ffcb6f95c2000ac663b9294efaacd19e68c6aaea810b60e0e17 - 9.42% (214 MB)

[#010] sha256:f5f9049029a89e6f4bf62cea85e21e066747485d2987006facd2614766843595 - 0.0% (1.3 KB)


History
2025-10-09 15:51:18 CST

Apply image 10.0.20348.4294

2026-07-12 00:30:20 CST

Install update 10.0.20348.5386

2026-07-16 07:03:34 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-07-16 07:28:12 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-07-16 07:28:12 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28

2026-07-16 07:28:17 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-07-16 07:28:18 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+6

2026-07-16 07:28:18 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/6/GPL/openjdk-28-ea+6_windows-x64_bin.zip

2026-07-16 07:28:19 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=7d58f4379ac8918c92d10d55e6c26f5e224a010e064c3132797153bc793e7429

2026-07-16 07:28:41 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-07-16 07:28:41 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Content Digest

sha256:99dffa6791da476ae9bc66602c6d80e84d0b091c24bf0476c6894627c378b1b4

Created

2026-07-11 01:10:32 CST

Size

291 MB


Environment
JAVA_HOME

/usr/java/openjdk-28

JAVA_VERSION

28-ea+6

LANG

C.UTF-8

PATH

/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:523b5fcd95921b1880258a8c56e30985e8f3adf21d143bf177907dc76d6a562b - 13.62% (39.6 MB)

[#001] sha256:1779d205d5eb35c796fdc3372e16d1357d0ed121e4a7d7fd0f4e598be4a40e4a - 12.37% (35.9 MB)

[#002] sha256:d369fd5d47ddf1a25bd278b982c0cce94bdb9dc2153f5add2f9d05417e6a73f3 - 74.01% (215 MB)


History
2026-05-13 02:43:55 CST (buildkit.dockerfile.v0)

ADD oraclelinux-10-slim-arm64v8-rootfs.tar.xz / # buildkit

2026-05-13 02:43:55 CST (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-07-11 01:10:23 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-07-11 01:10:32 CST (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-28

2026-07-11 01:10:32 CST (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-07-11 01:10:32 CST (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-07-11 01:10:32 CST (buildkit.dockerfile.v0)

ENV JAVA_VERSION=28-ea+6

2026-07-11 01:10:32 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/6/GPL/openjdk-28-ea+6_linux-x64_bin.tar.gz'; downloadSha256='72062e6a5506eb2829a215f6e3fde92d0f625d6e7e56fe84044169921e4e8a3c'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/6/GPL/openjdk-28-ea+6_linux-aarch64_bin.tar.gz'; downloadSha256='062a6f65617a2ec1abab55036320b057d8a147a60ab17c4695ac06e2e5c40ab2'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-07-11 01:10:32 CST (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.